/// <reference types="node" />
/**
 * 加密工具
 * @date 2020-09-17 10:34:52
 * @author 吴锋霖
 */
declare class CryptoUtils {
    /**
     * MD5
     */
    static md5(txt: string): string;
    /**
     * SHA256
     */
    static sha256(txt: string): string;
    static isEmpty(txt: string): boolean;
    /**
     * SHA256
     */
    static sha1(txt: string): string;
    /**
     * Base64编码
     * @param txt
     */
    static base64Encode(txt: string): string;
    /**
     * Base64解码
     * @param base64String
     * @param encoding
     */
    static base64Decode(base64String: string, encoding?: BufferEncoding): string;
}
export { CryptoUtils };
